<div class="card campaign-answer-review" {{did-insert this.setup}} {{did-update this.setup @value}} ...attributes>
  <div class="card-body">
    <h5 class="card-title">{{t "Review"}}</h5>

    <p class="card-text">{{t (concat "survey-answer-review-" @value.strStatus)}}</p>

    {{#if @value.review.profile}}
      <div class="mb-5">
        {{t "by"}}:
        <LinkTo @route="browse.profiles.profile" class="profile-name" @model={{@value.review.userId}}>
          {{@value.review.profile.fullName}}
        </LinkTo>

        {{t "reviewed-on"}}:
        <View::LocalDateTime class="review-date d-inline-block" @value={{@value.review.reviewedOn}} />
      </div>
    {{/if}}

    <div class="d-flex justify-content-between">
      {{#if this.canReview}}
        <div>
          <Input::Button class="btn btn-success btn-approve" @action={{this.approve}}>
            {{t "approve"}}
          </Input::Button>
        </div>
        <div>
          <Input::Button class="btn btn-danger btn-reject" @action={{this.reject}}>
            {{t "reject"}}
          </Input::Button>
        </div>
      {{/if}}

      {{#if this.canRevert}}
        <div>
          <Input::Button class="btn btn-secondary btn-revert" @action={{this.revert}}>
            {{t "revert"}}
          </Input::Button>
        </div>
      {{/if}}
    </div>
  </div>
</div>